Bug 147350 - ACPI Battery info bug at ACPICA 20041105
ACPI Battery info bug at ACPICA 20041105
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-07 10:54 EST by Chris Morrison
Modified: 2015-01-04 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:17:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Morrison 2005-02-07 10:54:15 EST
Description of problem:

A bug appears to have been introduced into the ACPI driver version
20041105. that causes the model number, serial number and OEM info
fields in the /proc/acpi/battery/BATx/info file to be corrupted.

Version-Release number of selected component (if applicable):

20041105

How reproducible:

Open the /proc/acpi/battery/BATx/info.

Steps to Reproduce:
1. Naviagte to /proc/acpi/battery/BAT0/ folder..
2. Load the info file into a text editor.
  
Actual results:

The contents of the info file are:

present:                 yes
design capacity:         4400 mAh
last full capacity:      3884 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 160 mAh
design capacity low:     100 mAh
capacity granularity 1:  64 mAh
capacity granularity 2:  64 mAh
model number:            44 34 37 30 4B 00 00 00
serial number:           34 30 31 33 31 00 00
battery type:            LION
OEM info:                53 4D 50 00 00 00 00 00

Expected results:

Under ACPI driver version 20040816 the info file would look like this

present:                 yes
design capacity:         4400 mAh
last full capacity:      3884 mAh
battery technology:      rechargeable
design voltage:          11100 mV
design capacity warning: 160 mAh
design capacity low:     100 mAh
capacity granularity 1:  64 mAh
capacity granularity 2:  64 mAh
model number:            D470K
serial number:           40131
battery type:            LION
OEM info:                SMP

Note the difference in the model number, serial number and OEM info
fields.

Additional info:
Comment 1 Dave Jones 2005-07-15 16:02:41 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-12-07 02:17:54 EST
If this is still a problem, booting with acpi_serialize as a boot option /may/
fix it.
Comment 3 Dave Jones 2006-01-16 17:33:38 EST
This is a mass-update to all currently open Fedora Core 3 kernel bugs.

Fedora Core 3 support has transitioned to the Fedora Legacy project.
Due to the limited resources of this project, typically only
updates for new security issues are released.

As this bug isn't security related, it has been migrated to a
Fedora Core 4 bug.  Please upgrade to this newer release, and
test if this bug is still present there.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

Thank you.
Comment 4 Len Brown 2006-01-18 02:08:39 EST
Still an issue with a current kernel?
Can it be reproduced with an upstream kernel.org kernel?
Comment 5 Dave Jones 2006-02-03 01:52:33 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 6 John Thacker 2006-05-04 09:17:18 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.